import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$2 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/GlobalSetting.vue2.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { defineComponent, resolveComponent, openBlock, createElementBlock, createVNode, withCtx, createTextVNode, Fragment, renderList, createBlock } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_input = resolveComponent("n-input");
      const _component_n_switch = resolveComponent("n-switch");
      const _component_n_text = resolveComponent("n-text");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(unref(_sfc_main$1), { optionData: __props.optionData }, null, 8, ["optionData"]),
        createVNode(unref(_sfc_main$2), {
          name: "胶囊柱图",
          expanded: ""
        }, {
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "布局" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "左侧边距" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: __props.optionData.paddingLeft,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => __props.optionData.paddingLeft = $event),
                      min: 10,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "右侧边距" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: __props.optionData.paddingRight,
                      "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.paddingRight = $event),
                      min: 10,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "每块高度(px)" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: __props.optionData.itemHeight,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.itemHeight = $event),
                      min: 0,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "文本" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "所有文字大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: __props.optionData.valueFontSize,
                      "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.valueFontSize = $event),
                      min: 0,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "单位" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: __props.optionData.unit,
                      "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.unit = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), null, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: __props.optionData.showValue,
                          "onUpdate:value": _cache[5] || (_cache[5] = ($event) => __props.optionData.showValue = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        createVNode(_component_n_text, null, {
                          default: withCtx(() => [
                            createTextVNode("显示数值")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "颜色" }, {
              default: withCtx(() => [
                (openBlock(true), createElementBlock(Fragment, null, renderList(__props.optionData.colors, (item, index) => {
                  return openBlock(), createBlock(unref(SettingItem), {
                    key: index,
                    name: `颜色${index}`
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_n_color_picker, {
                        value: __props.optionData.colors[index],
                        "onUpdate:value": ($event) => __props.optionData.colors[index] = $event,
                        size: "small",
                        modes: ["hex"]
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1032, ["name"]);
                }), 128))
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
